/*
Theme Name: SSD
Theme URI: https://superseedstudio.com
Template: hello-elementor
Author: Superseed Digital
Author URI: https://superseedstudio.com
Description: Based on Hello
Version: 1.1655299352
Updated: 2022-06-15 13:22:32

*/


/* INDEX 
 * GLOBAL PADDING
 * GLOBAL BUTTONS
 * GLOBAL STYLES
 * GLOBAL GRAVITY FORMS
 * 
 * HOME
 * SINGLE PROPERY LISTING
 * 
 * FOOTER
 * MEDIA QUERIES
 * */

:root {
	--color-eggshell: #FFFBF4;
	--color-green: #455C5E;
	--color-fade-black: rgba(47, 47, 47, 0.5);
	--color-black: #2F2F2F;
	
	--efx: all 350ms ease-in-out;
}

html {
  scroll-behavior: smooth;
}

/* PADDING */

.pad-top {
	padding-top: 6rem;
	padding-left: 4rem;
	padding-right: 4rem;
	padding-bottom: inherit;
}

.pad-bot {
    padding-top: inherit;
	padding-left: 4rem;
	padding-right: 4rem;
	padding-bottom: 6rem;
}

.pad-tb {
    padding-top: 6rem;
	padding-bottom: 6rem;
	padding-left: 4rem;
	padding-right: 4rem;
}

.pad-none {
    padding:0;
}

.pad-sides {
    padding-left: 4rem;
    padding-right: 4rem;
}

.pad-col-right {
	padding-right: 6rem;
}

.pad-col-left {
	padding-left: 6rem;
}


/* GLOBAL BUTTONS */

.btn-ghost-eggshell a {
	background-color: var(--color-eggshell) !important;
	color: var(--color-black) !important;
	border: solid 1px var(--color-eggshell) !important;
	transition: var(--efx);
	overflow: clip;
	position: relative;
	z-index: 20;
}

.btn-ghost-eggshell a:hover {
	color: var(--color-eggshell) !important;
	border: solid 1px var(--color-green) !important;
}

.btn-ghost-eggshell a:before {
	content: "";
	position: absolute;
	z-index: -1 !important;
	background: var(--color-green);
	border: solid 1px var(--color-green) !important;
	width: 300px;
	height: auto;
	inset: 0 0 0 -300px;
/* 	opacity: 0; */
	transition: var(--efx);
}

.btn-ghost-green a {
	overflow: clip;
	position: relative;
	z-index: 20;
	transition: var(--efx);
}

.btn-ghost-green a:hover {
	color: var(--color-eggshell);
}

.btn-ghost-green a:before {
	content: "";
	position: absolute;
	z-index: -1 !important;
	background: var(--color-green);
	width: 300px;
	height: auto;
	inset: 0 0 0 -300px;
/* 	opacity: 0; */
	transition: var(--efx);
}

.btn-green a {
	overflow: clip;
	position: relative;
	z-index: 20;
	transition: var(--efx);
    background-color: var(--color-green) !important;
    color: var(--color-eggshell) !important;
	border-color: var(--color-green) !important;
}

.btn-green a:hover {
	color: var(--color-green) !important;
}

.btn-green a:before {
	content: "";
	position: absolute;
	z-index: -1 !important;
	background: var(--color-eggshell);
	width: 300px;
	height: auto;
	inset: 0 0 0 -300px;
/* 	opacity: 0; */
	transition: var(--efx);
}

.btn-ghost-green a:hover:before,
.btn-ghost-eggshell a:hover:before,
.btn-green a:hover:before{
/* 	opacity: 1; */
	inset: 0;
}

/* GLOBAL STYLES */

.home-cta-listing h4 {
	color: var(--color-eggshell) !important;
}

.pre-heading {
	text-transform: uppercase;
	letter-spacing: 1.1px;
	font-weight: 500 !important;
}

.small-h3 h3 {
	font-size: 40px !important;
}

.main-menu-anb .elementor-item-active {
	color: #FF5A5F !important;
}

.main-menu-anb:hover a {
	color: #FF5A5F !important;
}

.main-menu-anb a:after {
	background-color: #FF5A5F !important;
}

.elementor-slideshow__title {
	opacity: 0;
	visibility: hidden;
}

/* GLOBAL GRAVITY FORMS */

.footer-form #gform_fields_2,
.contact-page-form #gform_fields_3 {
	grid-gap: 0;
}

.footer-form input:not(.button),
.footer-form select,
.footer-form textarea,
.contact-page-form input:not(.button),
.contact-page-form select,
.contact-page-form textarea {
	border-radius: 0 !important;
	background-color: transparent !important;
	border-color: var(--color-eggshell) !important;
	color: var(--color-eggshell) !important;
	letter-spacing: 1.1px !important;
	font-size: 13px !important;
	box-shadow: none;
}

.footer-form select,
.contact-page-form select {
	padding: 10px 20px !important;
    height: 60px !important;
}

.footer-form select,
.contact-page-form select {
	-webkit-appearance: none !important;
	-moz-appearance: none !important;
	background: transparent;
	background-image: url("/wp-content/uploads/2024/02/icon-chevron-down.svg") !important;
	background-repeat: no-repeat !important;
    background-position-y: center !important;
    background-position-x: calc(100% - 32px) !important;
} 

.footer-form input:not(.button),
.footer-form textarea,
.contact-page-form input:not(.button),
.contact-page-form textarea {
	padding: 30px !important;
}

.footer-form textarea,
.contact-page-form textarea {
/* 	height: 200px !important; */
	min-block-size: 150px !important;
}

.footer-form input::placeholder,
.footer-form select::placeholder,
.footer-form textarea::placeholder,
.contact-page-form input::placeholder,
.contact-page-form select::placeholder,
.contact-page-form textarea::placeholder {
	color: rgba(255, 251, 244, 0.5) !important;
	text-transform: uppercase !important;
}

.contact-page-form .button {
	width: 100% !important;
	border-radius: 0 !important;
	background-color: transparent !important;
	color: var(--color-eggshell) !important;
	border-color: var(--color-eggshell) !important;
	text-transform: uppercase !important;
	letter-spacing: 1.1px !important;
	transition: var(---efx);
}

.contact-page-form .button:hover {
	background-color: var(--color-eggshell) !important;
	color: var(--color-green) !important;
}

#contact-submmiter,
#contact-submmiter a{
	transition: var(--efx);
	cursor: pointer;
}

#contact-submmiter a {
/* 	padding: 16px 20px; */
	overflow: clip;
	position: relative;
	z-index: 20;
	color: var(--color-eggshell) !important;
	border-color: var(--color-eggshell) !important;
}

#contact-submmiter a:before {
	content: "";
	background: var(--color-eggshell);
	width: 100%;
	height: 100px;
	display: inline-block;
	left: -100%;
	top: 0;
	position: absolute;
	z-index: -1;
	transition: var(--efx);
}

#contact-submmiter .elementor-button-icon {
	margin-left: -16px;
	opacity: 0;
	visibility: hidden;
	transition: var(--efx);
}

#contact-submmiter:hover .elementor-button-icon {
	margin-left: 16px;
	opacity: 1;
	visibility: visible;
}

#contact-submmiter a:hover {
	color: var(--color-green) !important;
}

#contact-submmiter a:hover:before {
	left: 0;
}

.footer-form .gform_footer {
	visibility: hidden;
	z-index: -1;
	position: absolute;
	bottom: 0;
	right: 0;
}

.contact-page-form .gform_footer {
	margin: 10px 0 0 0 !important;
}

.validation_message {
	background: var(--color-eggshell) !important;
	padding: 10px !important;
	border: 2px solid var(--color-green) !important;
	margin-bottom: 2px !important;
}

.gform_validation_errors {
	background-color: var(--color-eggshell) !important;
	border-radius: 0 !important;
}

#input_3_1,
#input_3_3 {
	border-bottom: none;
	border-right: none;
}

#input_3_4,
#input_3_5,
#input_3_7,
#input_2_1,
#input_2_6,
#input_2_3 {
	border-bottom: none;
}

/* SINGLE PROPERY PAGE */

.single-property-btn-airbnb.btn-ghost-eggshell a{
	color: var(--color-green) !important;
	border-color: var(--color-green) !important;
}

.single-property-btn-airbnb.btn-ghost-eggshell a:hover {
	color: var(--color-eggshell) !important;
}

.single-property-btn-airbnb.btn-ghost-eggshell a:hover:before {
	background: var(--color-green) !important;
}

.single-property-specs-repeater .jet-listing-dynamic-repeater__item {
	display: grid;
	grid-template-columns: 0.7fr 1fr;
}

.single-property-specs-repeater .jet-listing-dynamic-repeater__item:not(:last-child) {
	padding-bottom: 1rem;
}

.spec-title {
	font-weight: 300!important;
	color: var(--color-green);
}

.spec-number {
	font-family: ivymode, sans-serif !important;
	font-size: 40px !important;
	color: var(--color-green);
}

.img-box-caro .jet-carousel__item-text{
	width: 90% !important;
}

/* HOME */

.home-hero-caro .jet-carousel__content {
	position: absolute;
	width: 768px;
	inset: 0;
	display: flex;
	flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

.home-hero-caro .jet-carousel__item-text {
	width: 650px;
}

.home-hero-caro .jet-carousel__item-inner {
	overflow: hidden;
	position: relative;
}

.home-hero-caro .jet-carousel__item-inner:before {
	background: black;
	opacity: 0.4;
	width: 102vw;
	height: 100vh;
	content: "";
	position: absolute;
	top: 0;
	left: 0;
}

.home-hero-caro .jet-carousel__item-inner img {
	height: calc(100vh - 90px);
	width: 100vw;
	object-fit: cover;
	object-position: center;
}

.home-hero-caro .jet-carousel__fraction-navigation {
	position: absolute;
	right: 140px;
    bottom: 80px;
}

.home-hero-caro .jet-carousel__item {
	padding: 0 !important;
}

/* SINGLE PROPERY LISTING */

.single-property-detailed-listing,
.single-property-simple-listing{
	background: var(--color-green) !important;
}

.single-property-fi-container-detailed-listing,
.single-property-fi-container-simple-listing {
	background-image: linear-gradient(180deg, var(--color-green) 50%, #F2295B00 50%) !important;
}

.single-property-title-detailed-listing h1,
.single-property-description-detailed-listing,
.single-property-title-simple-listing h1,
.single-property-description-simple-listing {
	color: var(--color-eggshell) !important;
}

.single-property-address-detailed-listing li,
.single-property-address-simple-listing li {
	color: #748484 !important;
}

.single-property-address-airbnb li {
	color: #BEC8C4 !important;
}

/* .single-propery-gallery img {
	height: 600px;
	width: 100%;
	object-fit: cover;
	object-position: center;
} */

.single-propery-gallery a:before {
	display: none !important;
}

.single-propery-gallery .prev-arrow,
.home-cta-caro .prev-arrow {
	content: url("/wp-content/uploads/2024/02/icon-left-gallery-arrow-passive.svg");
	display: inline-block;
	transform: scale(0.7);
	transition: var(--efx);
	left: 2rem;
}

.single-propery-gallery .prev-arrow:hover,
.home-cta-caro .prev-arrow:hover {
	content: url("/wp-content/uploads/2024/02/icon-left-gallery-arrow-active.svg");
	transform: scale(1);
}

.single-propery-gallery .next-arrow,
.home-cta-caro .next-arrow {
	content: url("/wp-content/uploads/2024/02/icon-right-gallery-arrow-passive.svg");
	display: inline-block;
	transform: scale(0.7) !important;
	right: 2rem !important;
}

.single-propery-gallery .next-arrow:hover,
.home-cta-caro .next-arrow:hover {
	content: url("/wp-content/uploads/2024/02/icon-right-gallery-arrow-active.svg");
	transform: scale(1) !important;
}

.property-listing-card #property-listing-card-btn {
	margin-top: -3rem;
	opacity: 0;
	visibility: hidden;
	transition: var(--efx);
}

.property-listing-card:hover #property-listing-card-btn {
	margin-top: inherit;
	opacity: 1;
	visibility: visible;
}

.prev-arrow,
.next-arrow {
	z-index: 50 !important;
}


/* FOOTER */

.back-to-top-arrow .jet-inline-svg {
	transform: scale(0.8);
	transition: var(--efx);
}

.back-to-top-arrow .jet-inline-svg:hover {
	transform: scale(1)
}

.footer-nav ul {
	width: 100%;
	justify-content: space-between;
}


.property-map {
	opacity: 0;
	visibility: hidden;
	filter: grayscale(1);
	transition: var(--efx);
}

.property-map.active {
	opacity: 1;
	visibility: visible;
}

.property-map:hover {
	filter: grayscale(0);
}

#location-btn {
	cursor: pointer;
}

/* MEDIA QUERIES */
@media only screen and (max-width: 810px) {
	
	.mobile-menu li {
		width: fit-content !important;
	}
	
	.mobile-menu ul {
		display: flex;
		flex-direction: column;
		align-items: center;
	}
	
	.btn-ghost-eggshell a:before,
	.btn-ghost-green a:before {
		width: 500px;
		inset: 0 0 0 -500px;
	}
	
	.pad-top {
		padding-top: 2rem;
		padding-left: 1rem;
		padding-right: 1rem;
		padding-bottom: inherit;
	}

	.pad-bot {
		padding-top: inherit;
		padding-left: 1rem;
		padding-right: 1rem;
		padding-bottom: 2rem;
	}

	.pad-tb {
		padding-top: 2rem;
		padding-bottom: 2rem;
		padding-left: 1rem;
		padding-right: 1rem;
	}

	.pad-none {
		padding:0;
	}

	.pad-sides {
		padding-left: 1rem;
		padding-right: 1rem;
	}

	.pad-col-right {
		padding-right: 2rem;
	}

	.pad-col-left {
		padding-left: 2rem;
	}
	
	.small-h3 h3 {
		font-size: 35px !important;
	}
	
	.single-propery-gallery img {
		height: 350px !important;
	}
}

@media only screen and (min-width: 320px) and (max-width: 425px) {
	
	.pad-col-right {
		padding-right: 0;
	}

	.pad-col-left {
		padding-left: 0;
	}
	
	.pad-top {
		padding-top: 2rem;
		padding-left: 1.8rem;
		padding-right: 1.8rem;
		padding-bottom: inherit;
	}

	.pad-bot {
		padding-top: inherit;
		padding-left: 1.8rem;
		padding-right: 1.8rem;
		padding-bottom: 2rem;
	}

	.pad-tb {
		padding-top: 2rem;
		padding-bottom: 2rem;
		padding-left: 1.8rem;
		padding-right: 1.8rem;
	}

	.pad-none {
		padding:0;
	}

	.pad-sides {
		padding-left: 1.8rem;
		padding-right: 1.8rem;
	}
	
	.pre-heading span {
		font-size: 13px !important;
	}
	
	.home-hero-caro .jet-carousel__content,
	.home-hero-caro .jet-carousel__item-text {
		width: auto !important;
		padding: 1rem;
	}
	
	.home-hero-caro .jet-carousel__item-inner img {
		height: 600px;
	}

	
	.home-hero-caro .jet-carousel__fraction-navigation {
		right: 44%;
		bottom: 36px;
	}
	
	.single-property-specs-repeater .jet-listing-dynamic-repeater__item {
		grid-template-columns: 1fr 1fr;
	}
	
	.single-property-specs-repeater .jet-listing-dynamic-repeater__item:not(:last-child) {
		padding-bottom: 0.5rem;
	}
	
	.spec-number {
		font-size: 30px !important;
	}
	
	.home-hero-caro .jet-carousel__item-inner:before {
		width: 103vw !important;
	}
	
	#contact-submmiter a,
	.contact-page-form .button{
		padding: 16px 20px !important;
		font-size: 12px !important;
	}
	
	.small-h3 h3 {
		font-size: 32px !important;
	}
	
	#input_3_1,
	#input_3_3 {
		border-right: 1px solid !important;
	}
	
	.home-cta-caro .next-arrow {
		right: 35% !important;
	}
	
	.img-box-caro .jet-carousel__item-text{
		width: 100% !important;
	}
}

@media (hover: none) {
	.property-listing-card #property-listing-card-btn {
		margin-top: inherit;
		opacity: 1;
		visibility: visible;
	}
}